Get Sports Teams
curl --request GET \
--url https://gateway.polymarket.us/v1/sports/teamsimport requests
url = "https://gateway.polymarket.us/v1/sports/teams"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://gateway.polymarket.us/v1/sports/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"teams": [
{
"id": "<string>",
"name": "<string>",
"abbreviation": "<string>",
"updatedBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"league": "<string>",
"record": "<string>",
"logo": "<string>",
"alias": "<string>",
"homeIcon": "<string>",
"awayIcon": "<string>",
"colorPrimary": "<string>",
"safeName": "<string>",
"providerId": "<string>",
"ordering": "<string>",
"longIcon": "<string>",
"shortIcon": "<string>",
"displayAbbreviation": "<string>",
"ranking": "<string>",
"conference": "<string>",
"providerIds": [
{
"providerId": "<string>"
}
],
"longIconDark": "<string>",
"shortIconDark": "<string>",
"colorSecondary": "<string>",
"colorDarkPrimary": "<string>",
"colorDarkSecondary": "<string>"
}
]
}Get Sports Teams
Fetch sports teams data for enriching sports events
GET
/
v1
/
sports
/
teams
Get Sports Teams
Query Parameters
Maximum number of teams to return
Number of teams to skip for pagination
Order by field
Order direction
Filter by league
Filter by name
Filter by abbreviation
Team ids
Response
List of sports teams
Show child attributes
Show child attributes
⌘I